org.springframework.data.web.config

## Class EnableSpringDataWebSupport.QuerydslActivator

- java.lang.Object
- - org.springframework.data.web.config.EnableSpringDataWebSupport.QuerydslActivator

All Implemented Interfaces:
  ImportSelector

Enclosing class:
  EnableSpringDataWebSupport

    public static class EnableSpringDataWebSupport.QuerydslActivator
    extends Object
    implements ImportSelector

Import selector to register `QuerydslWebConfiguration` as configuration class if Querydsl is on the classpath.

Since:
  1.11
Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`QuerydslActivator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `selectImports(AnnotationMetadata importingClassMetadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.annotation.ImportSelector

`getExclusionFilter`

### Constructor Detail

#### QuerydslActivator

    public QuerydslActivator()

### Method Detail

#### selectImports

    public String[] selectImports(AnnotationMetadata importingClassMetadata)

Specified by:
  `selectImports` in interface `ImportSelector`